Bug 255896

Summary: devel/mill Update to 0.9.7
Product: Ports & Packages Reporter: Jens Grassel <freebsd-ports>
Component: Individual Port(s)Assignee: Neel Chauhan <nc>
Status: Closed FIXED    
Severity: Affects Only Me CC: nc
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to update devel/mill to 0.9.7 none

Description Jens Grassel 2021-05-15 07:22:03 UTC
Created attachment 224960 [details]
Patch to update devel/mill to 0.9.7

Hi,

I've attached a patch to update devel/mill to 0.9.7.
The comment line on top of the Makefile was added to make portlint happy.

Changelog
=========

- ScalaModule: Support for Scala 3
- CoursierModule: Support customized dependency resolution (needed to work with ScalaFX)
- TestModule: Added new testFramework target and only support one test framework. Deprecated testFrameworks targets.
- TestModule: Added new convenience traits to configure popular test frameworks, e.g. TestModule.Junit, TestModule.ScalaTest, TestModule.Utest, and many more
- Bloop: Added support for foreign modules
- Better support for Windows environments
- Various internal improvements, cleanups, and deprecations
- Various dependencies updates
- Removed tut contrib module because of unmaintained/archived upstream dependency

Kind regards,

Jens
Comment 1 commit-hook freebsd_committer 2021-05-17 02:53:24 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c534e1edbbf584b38d153f4e742e63895ff2a3df

commit c534e1edbbf584b38d153f4e742e63895ff2a3df
Author:     Jens Grassel <freebsd-ports@jan0sch.de>
AuthorDate: 2021-05-17 02:52:34 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-05-17 02:52:34 +0000

    devel/mill: Update to 0.9.7

    PR:     255896

 devel/mill/Makefile | 4 +++-
 devel/mill/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 4 deletions(-)
Comment 2 Neel Chauhan freebsd_committer 2021-08-08 12:14:19 UTC
Committed a long time ago, so closing.